API Reference
Get follow up settings
Requires crm:automation:read.
GET
/
crm
/
follow-up-settings
Get follow up settings
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"followUpMode": "off",
"followUpLevel": "light",
"followUpInstructions": "<string>",
"quietHours": {
"start": "<string>",
"end": "<string>"
},
"timezone": "<string>",
"salesAvailable": true,
"salesPublished": true
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Autorizaciones
Server-side tenant-scoped credential created from Build > API Keys.
Respuesta
Success
Opciones disponibles:
off, draft, auto Opciones disponibles:
light, balanced, proactive Maximum string length:
2000Show child attributes
Show child attributes
Maximum string length:
100⌘I
Get follow up settings
